
class SlotError(Exception):
    def __init__(self, inner_exception=None, slot=None, *args, **kwargs):
        self.message = 'Some problem with {} communication. Inner exception: {}'.format(slot, inner_exception)
        super(SlotError, self).__init__(self.message, *args, **kwargs)
        self.inner_exception = inner_exception
        # self.errors = inner_exception


class SlotUnreachable(SlotError):
    pass


class CommandResultReadTimeout(SlotError):
    pass
